getCAIweights {AnaCoDa} | R Documentation

## Calculate the CAI codon weigths for a reference genome

### Description

`getCAIweights` returns the weights for the Codon Adaptation Index based on a reference genome.

### Usage

    getCAIweights(referenceGenome, default.weight = 0.5)

### Arguments

`referenceGenome` | A genome object initialized with `initializeGenomeObject`.
`default.weight` | Set default weight for any codon not observed in the reference genome

### Value

Returns a named vector with the CAI weights for each codon

### Examples

    genome_file <- system.file("extdata", "genome.fasta", package = "AnaCoDa")

    ## reading genome
    referenceGenome <- initializeGenomeObject(file = genome_file)

    wi <- getCAIweights(referenceGenome)

[Package AnaCoDa version 0.1.3.0 Index]